<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bAviso,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
	<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>   
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>
		
<%
	String matricula, mensaje="", accion;
	m05bAviso aviso = null;

	matricula = request.getParameter("Matricula");
	mensaje = request.getParameter("Mensaje");
	if ( (matricula==null) && (!(mensaje.equals(m05bConstantes.MSG_EXISTE))) ) {
			matricula= "";
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bAviso");
	} else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			aviso = (m05bAviso)session.getAttribute("m05bAviso");
	}
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
		    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
			accion=m05bConstantes.ACC_INSERTAR;
		    outMsg.println("<script>alert(dameAlerta(idioma, 29));</script>");
	}
	outMsg.close();
	if (matricula.equals("Nuevo"))  {
	        session.removeAttribute("m05bAviso");
    } else  {
	        aviso = (m05bAviso)session.getAttribute("m05bAviso");
    }
	if (aviso == null){
			aviso = new m05bAviso();
			session.setAttribute("m05bAviso",aviso);
	}
			m05bCombo miCombo = new m05bCombo();
%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoAvisos")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<% if ( accion.equals(m05bConstantes.ACC_INSERTAR)) {  %>
	<BODY style="cursor: wait" onload="javascript:document.body.style.cursor='default';document.formAvisos.Codigo.focus();InitMenu();" onkeydown="cancelaEnter();" onunload="document.body.style.cursor='wait';">
<% } else {  %>
	<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<% }  %>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_AVISOS%>?Matricula=<%=matricula%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelAvisos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_AVISOS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoAvisos")%>';
	
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table   width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formAvisos" METHOD="POST">
					  <TABLE class="general">
					    <tr> 
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right">
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>	
						</tr>
					  </TABLE>
						
					<p>
					
					     <span> <label class="inputFieldTitle"><%= res.getString("etMatricula")%></label>
					    
					      <% if ( accion.equals(m05bConstantes.ACC_INSERTAR)) {  %>
						     
						          <select  class="inputFieldOblig" NAME="Codigo" onKeypress="buscar_op(this,Texto)" onblur="borrar_buffer()" onclick="borrar_buffer()">
						                <option value="">  </option>
						                <%=miCombo.ComMatricula(m05bConstantes.VEH_TODOS, matricula)%>
						          </select>
						          
						    
				      		 <!--td width="20%"> <INPUT class="inputField" TYPE="TEXT" NAME="Codigo" VALUE="<%//=matricula%>" size="22" maxlength="20"/> </td-->
						  <% } 
						  	else  { %>
								 <INPUT  class="inputField" TYPE="TEXT" disabled NAME="Codigo" VALUE="<%=matricula%>" size="13" maxlength="20"/> 
					      <%  }  %>
					      </span>
					    </p>
					  
				
					    <%
					    String testua=aviso.getAvi_textoEusk();
					    if(testua==null)
					    	testua="";
					    %>
					
					         <p><label  valign="top" class="inputFieldTitle"><%= res.getString("etTexto")%></label><INPUT  class="inputFieldOblig" TYPE="TEXT" NAME="Texto" VALUE="<%=aviso.getAvi_texto()%>" size="70" maxlength="255"/> </p>
					        <p><label width="25%" valign="top" class="inputFieldTitle"><%= res.getString("etTextoEusk")%></label><INPUT  class="inputFieldOblig" TYPE="TEXT" NAME="TextoEusk" VALUE="<%=testua%>" size="70" maxlength="255"/> </p>
					        <p>
					        <span><label class="inputFieldTitle"><%= res.getString("etGestionVehiculos")%></label><INPUT  class="inputField" TYPE="CHECKBOX" NAME="Vehiculo" value="<%=aviso.getAvi_vehiculo()%>" <%if (aviso.getAvi_vehiculo()!=null && aviso.getAvi_vehiculo().toUpperCase().equals("S")){%> checked <%}%>/></span>
					        <span><label  valign="top" class="inputFieldTitle"><%= res.getString("etAsignacion")%></label><INPUT  class="inputField" TYPE="CHECKBOX" NAME="Asignacion" value="<%=aviso.getAvi_asignacion()%>" <%if (aviso.getAvi_asignacion()!=null && aviso.getAvi_asignacion().toUpperCase().equals("S")){%> checked <%}%>/></span>
					        <span><label  valign="top" class="inputFieldTitle"><%= res.getString("etOT")%></label><INPUT  class="inputField" TYPE="CHECKBOX" NAME="OT" value="<%=aviso.getAvi_ot()%>" <%if (aviso.getAvi_ot()!=null && aviso.getAvi_ot().toUpperCase().equals("S")){%> checked <%}%>/></span>
					        </p>
				
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<script language="JavaScript">
     function fncGrabar(matricula,accion) {
     	var docu = document.formAvisos;
     	if (matricula == "") {
     		alert(dameAlerta(idioma, 2));
     	} else {
     		if(accion!='<%=m05bConstantes.ACC_ELIMINAR%>'){
	     		if(docu.Texto.value=="" || docu.TextoEusk.value==""){
	     			alert(dameAlerta(idioma, 0));
	     			docu.Texto.focus();
	     			return;
	     		}
	     		if(existeCaracter(docu.Texto.value,"\'")||existeCaracter(docu.Texto.value,'\"') ||existeCaracter(docu.TextoEusk.value,"\'")||existeCaracter(docu.TextoEusk.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.Texto.focus();
	     			return;
	     		}
     		}
     		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
				if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
					return;
			}
			
        	docu.action="m05bGrabarAvisoServlet?Matricula=" + formAvisos.Codigo.value + "&Accion=" + accion;
        	docu.submit();
	    }
	 }  // Fin funcion fncGrabar
							
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>